> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiet.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Payments

This endpoint returns a multi-step payment plan (no execution).

For step types and Digital Collect behaviour, see [Payments](/business/endpoint/payments).


## OpenAPI

````yaml post /v1/payments
openapi: 3.1.0
info:
  title: Fiet Trading API (Core)
  version: 0.1.0
  description: >
    Hosted control-plane API for the Fiet Interface.


    ## Non-custodial posture

    - This service **does not** sign transactions.

    - This service **does not** broadcast transactions.

    - This service has **no access** to customer funds or keys.


    ## Quote semantics

    `GET /v1/quote` returns **derived** values from live chain state and indexed
    markets.

    It does not create or persist a “quote entity”.
servers:
  - url: https://api.fiet.finance
    description: Production (example)
security:
  - basicAuth: []
tags:
  - name: Health
  - name: Markets
  - name: Quote
  - name: Swap
  - name: Payments
paths:
  /v1/payments:
    post:
      tags:
        - Payments
      summary: Produce a multi-step payment plan (no execution)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePaymentRequest'
            examples:
              sample:
                value:
                  clientReference: erp-payment-001
                  corridorId: usdc-eth->aud-bank
                  amountIn: '1000000'
                  recipient:
                    type: bank
                    name: Acme Pty Ltd
                    country: AU
                    account:
                      bsb: '062000'
                      accountNumber: '12345678'
                  options:
                    mode: STANDARD
      responses:
        '201':
          description: Payment plan
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentPlan'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Problem'
components:
  schemas:
    CreatePaymentRequest:
      type: object
      required:
        - clientReference
        - corridorId
        - amountIn
        - recipient
      properties:
        clientReference:
          type: string
          maxLength: 128
          examples:
            - erp-payment-001
        corridorId:
          type: string
          examples:
            - usdc-eth->aud-bank
        amountIn:
          type: string
          description: Input amount (smallest units) as string
          examples:
            - '1000000'
        recipient:
          type: object
          description: >-
            Recipient details (bank recipient, or digital collect recipient,
            etc.)
          additionalProperties: true
        options:
          type: object
          properties:
            mode:
              type: string
              enum:
                - STANDARD
                - DIGITAL_COLLECT
              default: STANDARD
    PaymentPlan:
      type: object
      required:
        - planId
        - steps
      properties:
        planId:
          type: string
          examples:
            - plan_123
        steps:
          type: array
          items:
            $ref: '#/components/schemas/PaymentPlanStep'
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
    PaymentPlanStep:
      type: object
      required:
        - stepId
        - type
        - status
      properties:
        stepId:
          type: string
          examples:
            - step-1
        type:
          type: string
          enum:
            - AWAIT_DEPOSIT
            - EXECUTE_SWAP
            - CUSTODIAN_PAYOUT
            - SEND_DIGITAL_COLLECT
        status:
          type: string
          enum:
            - PENDING
            - READY
            - DONE
            - FAILED
          default: PENDING
        instructions:
          type: array
          description: >-
            Ordered list of on-chain instructions for this step (when
            applicable).
          items:
            $ref: '#/components/schemas/Instruction'
        custodianAction:
          type: object
          description: >-
            Action for regulated custodian/issuer integration
            (implementation-defined)
          additionalProperties: true
    Instruction:
      type: object
      required:
        - kind
        - chainId
        - to
        - data
        - value
        - constraints
      properties:
        kind:
          type: string
          enum:
            - EVM_CALL
        chainId:
          $ref: '#/components/schemas/ChainId'
        to:
          $ref: '#/components/schemas/EvmAddress'
        data:
          type: string
          description: Calldata hex
          examples:
            - 0x
        value:
          type: string
          description: Wei as a string
          examples:
            - '0'
        constraints:
          type: object
          properties:
            notAfter:
              type: string
              format: date-time
            maxSlippageBps:
              type: integer
              minimum: 0
              maximum: 5000
              examples:
                - 50
    ChainId:
      type: integer
      format: uint64
      examples:
        - 1
    EvmAddress:
      type: string
      pattern: ^0x[a-fA-F0-9]{40}$
      examples:
        - '0x742d35Cc6634C0532925a3b844Bc9e7595f5fE4b'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Basic Auth (assumed at gateway for MVP)

````